## XfwSeat XfwSeat — An object representing a seat |

## Stability Level

Unstable, unless otherwise indicated

## Functions

const gchar * | xfw_seat_get_name ()

## Properties

char * | name | Read / Write / Construct Only

## Types and Values

| XfwSeat

## Object Hierarchy

        GObject
        ╰── XfwSeat

## Includes

    #include <libxfce4windowing/libxfce4windowing.h>

## Description

XfwSeat represents a physical monitor, keyboard, and pointing device attached to `screen` .

Mainly it is only needed when activating XfwWindow instances.

## Functions

### xfw_seat_get_name ()

    const gchar *
    xfw_seat_get_name (XfwSeat *seat);

Returns the name or identifier of `seat` .

#### Parameters

seat | an XfwSeat. |

## Types and Values

### XfwSeat

    typedef struct _XfwSeat XfwSeat;

## Property Details

### The `“name”` property

      “name”                     char *

The seat's identifier.

Owner: XfwSeat

Flags: Read / Write / Construct Only

Default value: NULL